﻿﻿ /* CONTAINER OVERITES */
.container {
    padding-left: 26px;
    padding-right: 26px;
}

@media (min-width: 640px) {
    .container {
        width: 100%;
        /*max-width: 1440px;*/
        padding-left: 50px;
        padding-right: 50px;
    }
}

body {
    padding-top: 84px;
}

img {
    max-width: 100%;
    height: auto;
}

.single-top-padding {
    padding-top: 60px;
}

.single-bottom-padding {
    padding-bottom: 60px;
}

.double-top-padding {
    padding-top: 60px;
}

.double-bottom-padding {
    padding-bottom: 60px;
}

@media (min-width: 768px) {

    .double-top-padding {
        padding-top: 120px;
    }

    .double-bottom-padding {
        padding-bottom: 120px;
    }
}


@media (min-width: 992px) {
    .single-left-padding {
        padding-left: 50px;
    }

    .double-left-padding {
        padding-left: calc(50px + (100 - 50) * ((100vw - 992px) / (1440 - 992)));
    }

    .single-right-padding {
        padding-right: 50px;
    }

    .double-right-padding {
        padding-right: calc(50px + (100 - 50) * ((100vw - 992px) / (1440 - 992)));
    }
}

@media (min-width: 1440px) {
    .double-left-padding {
        padding-left: 100px;
    }

    .double-right-padding {
        padding-right: 100px;
    }
}


.bg-primary {
    color: #fff;
    background-color: #000;
}

.bg-secondary {
    color: #fff;
    background-color: #cb2a1d;
}

.bg-white {
    background-color: #fff;
    color: #000;
}

.light-skin {
    color: #fff;
}




/* BUTTONS */

.btn {
    padding: 12px 22px;
    font-size: 20px;
    line-height: 1.2;
    font-weight: 700;
    border-radius: 0;
    color: white;
    background-color: #636466;
    border-color: #636466;
    margin-top: 5px;
    margin-bottom: 5px;
}

    .btn + .btn {
        margin-left: 20px;
    }

.text-center .btn + .btn {
    margin-left: 10px;
    margin-right: 10px;
}

.btn-primary {
    background-color: #293b50; /* #0F2BFE;*/
    border-color: #293b50; /*#0F2BFE;*/
}

    .btn-primary:focus,
    .btn-primary.focus {
        background-color: #000;
        border-color: #000;
    }

    .btn-primary:hover {
        background-color: #000;
        border-color: #000
    }

    .btn-primary:active,
    .btn-primary.active {
        background-color: #000;
        border-color: #000;
    }

        .btn-primary:active:hover,
        .btn-primary.active:hover,
        .btn-primary:active:focus,
        .btn-primary.active:focus,
        .btn-primary:active.focus,
        .btn-primary.active.focus {
            background-color: #000;
            border-color: #000;
        }

.btn-cancel {
    background-color: #707070;
    border-color: #707070;
    color: #fff;
}

    .btn-cancel:focus,
    .btn-cancel.focus {
        background-color: #000;
        border-color: #000;
    }

    .btn-cancel:hover {
        background-color: #000;
        border-color: #000
    }

    .btn-cancel:active,
    .btn-cancel.active {
        background-color: #000;
        border-color: #000;
    }

        .btn-cancel:active:hover,
        .btn-cancel.active:hover,
        .btn-cancel:active:focus,
        .btn-cancel.active:focus,
        .btn-cancel:active.focus,
        .btn-cancel.active.focus {
            background-color: #000;
            border-color: #000;
        }

/* TYPOGRAPHY */

body {
    font-family: Arial, /*Libre Franklin',*/ sans-serif;
    font-size: 20px;
    line-height: 1.5;
    color: #000;
}

h1, .h1 {
    font-size: 32px;
    line-height: 1.1;
    font-weight: 700;
    margin: 0 0 30px;
}

p, figure {
    margin: 0 0 30px;
}

.subtitle {
    font-size: 28px;
    line-height: 1;
    font-weight: 100;
}

.text-accent {
    color: #0F2BFE;
}

/* HEADER */

.skip-to-content:focus {
    position: absolute;
    top: 0;
    left: 50%;
    z-index: 1999;
    color: #fff;
    text-decoration: none;
}

.navbar-inverse {
    background-color: #293b50;
    border-color: #cb2a1d;
}

.navbar-brand {
    height: 84px;
    padding: 5px;
}

    .navbar-brand .navbar-brand-logo {
        margin-top: 5px;
        width: 200px;
        height: 60px;
        background-size: contain;
        background-repeat: no-repeat;
        background-position-y: center;
        background-image: url(/Content/images/logos/logo-text-small.png);
    }

.navbar-inverse .navbar-nav > li > a {
    color: #fff;
}

    .navbar-inverse .navbar-nav > li > a:hover, .navbar-inverse .navbar-nav > li > a:focus {
        color: #9d9d9d;
    }


@media (min-width: 768px) {
    .navbar-primary {
        -webkit-transform: translateY(27px);
        -moz-transform: translateY(27px);
        -ms-transform: translateY(27px);
        -o-transform: translateY(27px);
        transform: translateY(27px);
    }

    .navbar-secondary {
        clear: both;
        margin-right: -15px !important;
        background-color: #cb2a1d;
    }

    .navbar {
        overflow: hidden;
    }

        .navbar:before {
            content: "";
            position: absolute;
            top: 84px;
            width: 100%;
            height: 50%;
            background-color: #cb2a1d;
        }

    .navbar-nav > li > a {
        padding-top: 8px;
        padding-bottom: 8px;
    }

    body {
        padding-top: 121px;
    }
}


/* STRIPE */

.half-stripe {
    position: relative;
    min-height: calc(100vh - 84px);
}

    .half-stripe .background-element {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(145deg, #cb2a1d  80vh, #243c52 50vh);
    }

@media (min-width: 992px) {
    .half-stripe {
        min-height: calc(100vh - 121px);
    }

        .half-stripe .background-element {
            width: 50%;
        }
}

/* Logo + Tagline */

.tagline {
    position: static;
    font-size: 36px;
}

.tagline-banner {
    width: 90vw;
    height: 50.625vw;
    margin: auto;
    margin-top: 60px;
}

    .tagline-banner iframe{
        width: 100%;
        height: 100%;
    }

    @media (min-width: 992px) {
        .tagline {
        position: fixed;
        max-width: calc(50% - 100px);
    }
        .tagline-banner {
            width: 40vw;
            height: 22.5vw;
            margin: auto;
            margin-top: -100px;
        }
}

@media (min-width: 1440px) {
    .tagline {
        max-width: 605px;
    }
}

/* STEPS */

.progressbar {
    padding-left: 0;
    margin: 60px 0 60px -1em;
    list-style: none;
    width: 100%;
    overflow: hidden;
}

.progressbar {
    counter-reset: step;
}

    .progressbar li {
        position: relative;
        float: left;
        width: 6em;
        font-size: 16px;
        line-height: 1.125;
        text-align: center;
    }

        .progressbar li .step {
            display: inline-block;
            width: 4.5em;
            min-height: 3em;
            margin: 10px auto;
        }

        .progressbar li::before {
            content: counter(step);
            counter-increment: step;
            display: inline-block;
            width: 2em;
            height: 2em;
            margin: 0 2em 10px 2em;
            text-align: center;
            font-size: 18px;
            font-weight: 700;
            line-height: 2;
            border-radius: 50%;
            background: #000;
            color: white;
        }

        .progressbar li::after {
            content: '';
            position: absolute;
            top: .675em;
            left: 3em;
            width: 6em;
            height: .65em;
            background: #000;
            z-index: -1;
        }

        .progressbar li:last-child::after {
            display: none;
        }

        .progressbar li.active::before {
            background: #000;
        }

        .progressbar li.active ~ li::before {
            background: #ccc;
        }

        .progressbar li.active ~ li::after {
            background: #ccc;
        }

        .progressbar li.active::after {
            background: #ccc;
        }

.wizard-frame{
    display: flex;
    margin: -50px;
}

    .wizard-frame .wizard-steps {
        padding-left: 35px;
        padding-right: 10px;
    }
    .wizard-frame .wizard-content {
        padding-left: 150px;
        padding-right: 10px;
        width: 100%;
    }
    .wizard-steps {
        background-color: #293b50;
        width: 275px;
    }

    .wizard-steps .progressbar {
        margin: 0;
    }

        .wizard-steps .progressbar li {
            width: 100%;
            font-size: 16px;
            line-height: 4;
            text-align: left;
        }


.wizard-steps .progressbar li .step
{
    display: initial;
    width: 100%;
    color: white;
}

            .wizard-steps .progressbar li::before {
                width: 2em;
                margin: 0 5px 10px 5px;
            }

            .wizard-steps .progressbar li::before {
                background: #cb2a1d;
            }
            .wizard-steps .progressbar li.active::before {
                background: #cb2a1d;
            }

    /* FORMS */
    form h2, form .h2 {
        font-size: 28px;
        letter-spacing: -0.03em;
        line-height: 1;
        font-weight: 300;
        margin-top: 0;
        margin-bottom: 20px;
    }

form h3, form .h3 {
    font-size: 24px;
    letter-spacing: -0.02em;
    line-height: 1.1;
    font-weight: 500;
    margin-top: 0;
}

form h4, form .h4 {
    font-size: 25px;
    line-height: 1.4;
    font-weight: 700;
    margin-top: 0;
}

fieldset {
    clear: both;
    padding-top: 30px;
    margin-bottom: 15px;
}

fieldset>h2:not(:first-child) {
    padding-top: 30px;
}

    fieldset.form-group {
        padding-top: 15px;
    }

    fieldset.border-top {
        border-top: solid 1px #ccc;
        margin-top: 20px;
    }

legend {
    width: 100%;
    float: left;
    color: inherit;
    border-bottom-width: 0;
}

    legend p {
        margin: 0;
    }

    legend + * {
        clear: left;
    }

label, .control-label {
    font-size: 20px;
    line-height: 1.5;
    font-weight: 600;
    color: /*#636466 */ #000;
    margin-bottom: 5px;
    display: block;
}

.checkbox label, .radio label {
    line-height: 1.1;
    color: #000;
    vertical-align: middle;
}

.form-control {
    height: 48px;
    border-color: #707070;
    border-radius: 0;
    font-size: 1em;
    line-height: 1.2;
}

input[type='text'],
input[type='password'],
select,
textarea {
    width: 100%;
    max-width: 405px;
}
.cke_reset { 
	max-width: 700px;
}

input[type='text'].short-field,
select.short-field
    {
        max-width: 150px;
    }

input[type='checkbox'] {
	vertical-align: middle;
}

textarea {
    height: 145px;
}

select, select.form-control {
    -webkit-appearance: none;
    -moz-appearance: none;
    background: url(/Content/images/select-arrow.svg) no-repeat;
    background-position: calc(100% - 9px);
    padding-right: 2em;
    text-overflow: ellipsis;
}

.radio + .radio, .checkbox + .checkbox {
    margin-top: 0;
}

.form-group div[class^="col-md"] {
	padding-left: 0;
}

.groupcol {
	-webkit-column-gap: 20px; /* Chrome, Safari, Opera */
	-moz-column-gap: 20px; /* Firefox */
	column-gap: 20px;
	max-width: 640px;
	}
	.groupcol > div {
	   -webkit-column-break-inside: avoid; /* Chrome, Safari */
		page-break-inside: avoid;           /* Theoretically FF 20+ */
		break-inside: avoid-column;         /* IE 11 */
	}	
	@media (min-width: 960px) {	
		.groupcol {
			-webkit-column-count: 2; /* Chrome, Safari, Opera */
			-moz-column-count: 2; /* Firefox */
			column-count: 2;
		}

	}	

.terms {
	padding: 30px 0;
}

.btn-add {
	font-size: 16px;
	line-height: 1;
	background-color: #ccc;
    color: black;
}

.btn-upload {
	font-size: 16px;
	line-height: 1;
	padding-right: 65px;
	background-color: #ccc;
	color: black;
	background-image: url(/Content/images/btn-upload.svg);
	background-repeat: no-repeat ;	
	background-position: calc(100% - 9px);	
    border-radius: 25px;
}

.btn-add:hover, .btn-add:active, .btn-add:focus,
.btn-upload:hover, .btn-upload:active, .btn-upload:focus {
	background-color: #ddd;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

.control-label>span.sub{
    font-size: 70%;
}

.form-field-section {
    padding-top: 24px;
    color: #041e6a;
}

table.table > tbody > tr > th {
    background-color: #0d3afb;
    color: white;
}

table.table img.img-thumbnail {
    max-height: 50px;
    max-width: 50px;
}

table.table a {
    color: #337ab7;
    text-decoration: underline;
}

.form-control-button {
    height: 48px;
}

.form-control-checkbox{
    width: 24px;
    height: 48px;
    margin: 0 10px 0 0;
}

    .followed {
        float: left;
        margin: 0 10px 0 0;
    }

.form-control-static.followed {
    height: 48px;
    line-height: 48px;
    padding-top: 0px;
    padding-bottom: 0px;
    float: left;
    margin-right: 10px;
}

.form-control-static.following {
    /*height: 48px;*/
    line-height: 48px;
    padding-top: 0px;
    padding-bottom: 0px;
}

footer {
    background-color: #293b50;
    height: 5em;
    line-height: 5em;
    color: white;
}

@media (min-width: 768px) {
    .form-horizontal .control-label {
        text-align: left;
    }
}

/********************* Common Elements ******************************/
/********************************************************************/

.loadingSpin{
    max-height: 100px;
}

table.table > thead > tr > th {
    background-color: black;
    color: white;
}
table.jobject-table td, table.jobject-table th {
    padding: 5px;
}

div.ShowHidePanel {
    cursor: pointer;
    font-weight: bold;
}

    div.ShowHidePanel.StateHidden > p::after {
        content: "▼";
    }

    div.ShowHidePanel.StateShown > p::after {
        content: "▲";
    }

.code {
    font-family: monospace;
}

.TradeOrder-State-Filled {
    color: green;
}

.TradeOrder-State-Rejected {
    color: red;
}

.TradeOrder-State-Cancelled {
    color: #666666;
}

.TradeOrder-State-Processing {
    color: blue;
}


.RemoveButton {
    width: 8px;
    height: 8px;
    position: absolute;
    top: 3px;
    right: 3px;
    cursor: pointer;
    background-image: url(/Content/images/remove.png);
    background-size: contain;
    background-repeat: no-repeat;
}

div.VideoPlayIcon{
    width: 100px;
    height: 100px;
    background-image: url(/Content/images/playicon.png);
    background-position: center;
    background-size:contain;
    position: absolute;
    top: 50%;
    left: 50%;
    transform:translate(-50%,-50%);
}


th.BFDataTable-sortable {
    cursor: pointer;
}
th.BFDataTable-asc::after {
    content: '🡩';
    color: #0f2bfe;
    padding-left: 10px;
}

th.BFDataTable-desc::after {
    content: '🡫';
    color: #0f2bfe;
    padding-left: 10px;
}

div.BFImageUploadContainer {
    width: fit-content;
    position: relative;
}
div.BFImageUploadContainer > img {
    max-height: 100px;
    max-width: 100px;
    margin-bottom: 10px;
    margin-right: 10px;
}


div.BFFileUpload > img {
    max-height: 60px;
    max-width: 60px;
    margin-bottom: 10px;
    margin-right: 10px;
}


div.BFFilmography > table {
    width: 100%;
    max-width: 500px;
}
	div.BFFilmography > table th {
		padding: 0 10px 5px 0; 
		font-size: 20px;
		line-height: 1.75;
		font-weight: 600;
		color: #636466;
	}
	div.BFFilmography > table td {
		padding: 0 10px 10px 0; 
	}
		div.BFFilmography > table td input {
			width: 100%;
		}

BFUITable.table {
    width: 100%;
}
    BFUITable.table th {
        padding: 0 10px 5px 0;
        font-size: 20px;
        line-height: 1.75;
        font-weight: 600;
        color: #636466;
    }

    BFUITable.table td {
        padding: 0 10px 10px 0;
        vertical-align: top;
    }

        BFUITable.table td input {
            width: 100%;
        }

        BFUITable.table td.TeamMemberRole {
            min-width: 10em;
        }

div.TermsDiv {
    width: 100%;
    height: 400px;
}

div.TermsDiv iframe{
    width: 100%;
    height: 100%;
    overflow: scroll;
}

div.BFTalentLine {
    margin-bottom: 60px;
}

tr.BFStringListLine>td{
    padding-bottom: 0.5em;
}

/******************************** Manage Profile **************************************************/
/**************************************************************************************************/
.ManagePageUserNameThumb {
    text-align: center;
}
.ManagePageUserImageThumb {
    text-align: center;
}
    .ManagePageUserImageThumb img {
        width: 40px;
        height: 40px;
        object-fit: cover;
        border-radius: 20px;
    }

.ManagePageUserImage img {
    width: 180px;
    height: 180px;
    object-fit: cover;
}

/******************************** Project Summary **************************************************/
/**************************************************************************************************/

.ProjSummaryCreatorLine {
    padding-left: 10px;
}

.ProjSummaryCastImage img {
    max-height: 100px;
    max-width: 100px;
}

.ProjSummaryCreatorImage{
    margin-right: 10px;
}

    .ProjSummaryCreatorImage img {
        max-height: 100px;
        max-width: 100px;
    }

.ProjSummaryCreatorName{
    line-height: 50px;
}

.ProjSummaryCreatorHeader{
    margin-top: 30px;
}

.ProjSummarySocial img{
    max-height: 40px;
}

.portfolio-composition-table{
    width: 100%;
}

